{% extends 'base_react.html.twig' %}

{% block title %}Sección de Juegos!{% endblock %}
{# {% block javascripts %}
    {{ parent() }}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
{% endblock %} #}

{% block body %}
    <script>
        let user = "{{ app.user.email }}"
        window.REP_IMAGE_APP_PROPS = {
            info: {
                'user': user
            },
            itemImages: {
                'globo': "{{ asset('images/balloons.png') }}",
                'carros': "{{ asset('images/automobile.png') }}",
                'balloon_blue': "{{ asset('images/balloon_blue.png') }}",
                'balloon_yellow': "{{ asset('images/balloon_yellow.png') }}",
                'balloon_orange': "{{ asset('images/balloon_orange.png') }}",
                'inflator': "{{ asset('images/inflator.png') }}",
                'papa': "{{ asset('images/papa.png') }}",
                'opcion_blue': "{{ asset('images/imagen_videos/opcion_blue.png') }}",
                'opcion_red': "{{ asset('images/imagen_videos/opcion_red.png') }}",
                'opcion_yellow': "{{ asset('images/imagen_videos/opcion_yellow.png') }}",
                'presentacion_blue': "{{ asset('images/imagen_videos/presentacion_blue.png') }}",
                'presentacion_red': "{{ asset('images/imagen_videos/presentacion_red.png') }}",
                'presentacion_yellow': "{{ asset('images/imagen_videos/presentacion_yellow.png') }}",
                'recompensa_blue': "{{ asset('images/imagen_videos/recompensa_blue.png') }}",
                'recompensa_red': "{{ asset('images/imagen_videos/recompensa_red.png') }}",
                'recompensa_yellow': "{{ asset('images/imagen_videos/recompensa_yellow.png') }}",
                'riesgo_blue': "{{ asset('images/imagen_videos/riesgo_blue.png') }}",
                'riesgo_red': "{{ asset('images/imagen_videos/riesgo_red.png') }}",
                'riesgo_yellow': "{{ asset('images/imagen_videos/riesgo_yellow.png') }}",
                'way': "{{ asset('images/city.png') }}",
                'car': "{{ asset('images/car.png') }}",
                'world': "{{ asset('images/word-map.png') }}",
                'cdt': "{{ asset('images/cdt.jpg') }}",
                'divisas': "{{ asset('images/divisas.jpg') }}",
                'criptomonedas': "{{ asset('images/bitcoin-pile-on-top-of-dolar-bills.jpg') }}",
                'bonos': "{{ asset('images/bonos.jpg') }}",
                'acciones': "{{ asset('images/acciones.jpg') }}",
                'ntfs': "{{ asset('images/ntfs.jpg') }}",
                'acciones_emergentes': "{{ asset('images/acciones_emergentes.jpg') }}",
            },
            itemVideos: {
                'presentacion_blue': "{{ asset('videos/Blue_presentacion.mp4') }}",
                'presentacion_red': "{{ asset('videos/Red_presentacion.mp4') }}",
                'presentacion_yellow': "{{ asset('videos/Yellow_Presentacion.mp4') }}",
                'video_explicativo': "{{ asset('videos/video_explicativo.mp4') }}",
                'opciones_blue': "{{ asset('videos/Opciones_blue.mov') }}",
                'opciones_red': "{{ asset('videos/Opciones_red.mov') }}",
                {# 'presentacion_blue': "{{ asset('videos/Blue_presentacion.mov') }}", #}
                'recompensa_blue': "{{ asset('videos/Recompensa_Blue.mov') }}",
                'recompensa_red': "{{ asset('videos/Recompensa_Red.mov') }}",
                'recompensa_yellow': "{{ asset('videos/Recompensa_Yellow.mov') }}",
                'riesgo_blue': "{{ asset('videos/Riesgo_Blue.mov') }}",
                'riesgo_red': "{{ asset('videos/Riesgo_Red.mov') }}",
                'riesgo_yellow': "{{ asset('videos/Riesgo_Yellow.mov') }}",
                'carrito': "{{ asset('videos/CARRITOS.mp4') }}",
                'globos': "{{ asset('videos/GLOBOS.mp4') }}",
            },
            configInfo: {
                "path": "{{ app.request.baseUrl }}",
                "urlGame": "{{ path('api_principalapi_game') }}",
                "urlNewGame": "{{ path('api_principalnew_game') }}",
                "urlNewBalloon": "{{ path('api_balloonsave_balloon') }}",
                "urlNewCars": "{{ path('api_carsave_cars') }}",
                "urlNewProfile": "{{ path('api_profilenew_profile') }}",
                "urlSaveGame": "{{ path('gamesave_game') }}",
                "urlGetGame": "{{ path('gameget_game') }}",
                "fileDatos": "{{ asset('files/datos.json') }}",
                "fileInstruments": "{{ asset('files/simulacion_instrumentos.json') }}",
                "fileInstrumentsBitcoins": "{{ asset('files/bitcoins.json') }}",
                "fileMatriz": "{{ asset('files/MatrizImpactoUnos.json') }}",
                "recommendation": "{{ asset('files/recommendations.json') }}",
                "portafolio": "{{ asset('files/tablas_portafolio.json') }}"
            }
        }
    </script>
    <div id="root_games"></div>
{% endblock %}
